Package com.sap.ai.sdk.orchestration.model

# Class EmbeddingMultiFormat

java.lang.Object
com.sap.ai.sdk.orchestration.model.EmbeddingMultiFormat

public class EmbeddingMultiFormat extends Object
A dictionary mapping encoding format names to their embeddings. Used when multiple encoding formats are requested (Cohere-specific).

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EmbeddingMultiFormat()`
  Default constructor for EmbeddingMultiFormat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EmbeddingMultiFormat`
  `_float(float[] _float)`
  Set the _float of this `EmbeddingMultiFormat` instance and return the same instance.
  `EmbeddingMultiFormat`
  `addBinaryItem(Integer binaryItem)`
  Add one binary instance to this `EmbeddingMultiFormat`.
  `EmbeddingMultiFormat`
  `addInt8Item(Integer int8Item)`
  Add one int8 instance to this `EmbeddingMultiFormat`.
  `EmbeddingMultiFormat`
  `addUbinaryItem(Integer ubinaryItem)`
  Add one ubinary instance to this `EmbeddingMultiFormat`.
  `EmbeddingMultiFormat`
  `addUint8Item(Integer uint8Item)`
  Add one uint8 instance to this `EmbeddingMultiFormat`.
  `EmbeddingMultiFormat`
  `base64(String base64)`
  Set the base64 of this `EmbeddingMultiFormat` instance and return the same instance.
  `EmbeddingMultiFormat`
  `binary(List<Integer> binary)`
  Set the binary of this `EmbeddingMultiFormat` instance and return the same instance.
  `static EmbeddingMultiFormat`
  `create()`
  Create a new `EmbeddingMultiFormat` instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getBase64()`
  Base64 encoding format - base64 encoded string
  `List<Integer>`
  `getBinary()`
  Binary encoding format - array of integers
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `EmbeddingMultiFormat`.
  `float[]`
  `getFloat()`
  Float encoding format - array of floating point numbers
  `List<Integer>`
  `getInt8()`
  Int8 encoding format - array of 8-bit integers
  `List<Integer>`
  `getUbinary()`
  Ubinary encoding format - array of unsigned integers
  `List<Integer>`
  `getUint8()`
  Uint8 encoding format - array of unsigned 8-bit integers
  `int`
  `hashCode()`
  `EmbeddingMultiFormat`
  `int8(List<Integer> int8)`
  Set the int8 of this `EmbeddingMultiFormat` instance and return the same instance.
  `void`
  `setBase64(String base64)`
  Set the base64 of this `EmbeddingMultiFormat` instance.
  `void`
  `setBinary(List<Integer> binary)`
  Set the binary of this `EmbeddingMultiFormat` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `EmbeddingMultiFormat` instance.
  `void`
  `setFloat(float[] _float)`
  Set the _float of this `EmbeddingMultiFormat` instance.
  `void`
  `setInt8(List<Integer> int8)`
  Set the int8 of this `EmbeddingMultiFormat` instance.
  `void`
  `setUbinary(List<Integer> ubinary)`
  Set the ubinary of this `EmbeddingMultiFormat` instance.
  `void`
  `setUint8(List<Integer> uint8)`
  Set the uint8 of this `EmbeddingMultiFormat` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `EmbeddingMultiFormat` instance including unrecognized properties.
  `String`
  `toString()`
  `EmbeddingMultiFormat`
  `ubinary(List<Integer> ubinary)`
  Set the ubinary of this `EmbeddingMultiFormat` instance and return the same instance.
  `EmbeddingMultiFormat`
  `uint8(List<Integer> uint8)`
  Set the uint8 of this `EmbeddingMultiFormat` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EmbeddingMultiFormat

    protected EmbeddingMultiFormat()
    Default constructor for EmbeddingMultiFormat.

- ## Method Details

  - ### _float

    @Nonnull public EmbeddingMultiFormat _float(@Nullable float[] _float)
    Set the _float of this `EmbeddingMultiFormat` instance and return the same instance.
    Parameters:
      `_float` - Float encoding format - array of floating point numbers
    Returns:
      The same instance of this `EmbeddingMultiFormat` class

  - ### getFloat

    @Nonnull public float[] getFloat()
    Float encoding format - array of floating point numbers
    Returns:
      _float The _float of this `EmbeddingMultiFormat` instance.

  - ### setFloat

    public void setFloat(@Nullable float[] _float)
    Set the _float of this `EmbeddingMultiFormat` instance.
    Parameters:
      `_float` - Float encoding format - array of floating point numbers

  - ### int8

    @Nonnull public EmbeddingMultiFormat int8(@Nullable List<Integer> int8)
    Set the int8 of this `EmbeddingMultiFormat` instance and return the same instance.
    Parameters:
      `int8` - Int8 encoding format - array of 8-bit integers
    Returns:
      The same instance of this `EmbeddingMultiFormat` class

  - ### addInt8Item

    @Nonnull public EmbeddingMultiFormat addInt8Item(@Nonnull Integer int8Item)
    Add one int8 instance to this `EmbeddingMultiFormat`.
    Parameters:
      `int8Item` - The int8 that should be added
    Returns:
      The same instance of type `EmbeddingMultiFormat`

  - ### getInt8

    @Nonnull public List<Integer> getInt8()
    Int8 encoding format - array of 8-bit integers
    Returns:
      int8 The int8 of this `EmbeddingMultiFormat` instance.

  - ### setInt8

    public void setInt8(@Nullable List<Integer> int8)
    Set the int8 of this `EmbeddingMultiFormat` instance.
    Parameters:
      `int8` - Int8 encoding format - array of 8-bit integers

  - ### uint8

    @Nonnull public EmbeddingMultiFormat uint8(@Nullable List<Integer> uint8)
    Set the uint8 of this `EmbeddingMultiFormat` instance and return the same instance.
    Parameters:
      `uint8` - Uint8 encoding format - array of unsigned 8-bit integers
    Returns:
      The same instance of this `EmbeddingMultiFormat` class

  - ### addUint8Item

    @Nonnull public EmbeddingMultiFormat addUint8Item(@Nonnull Integer uint8Item)
    Add one uint8 instance to this `EmbeddingMultiFormat`.
    Parameters:
      `uint8Item` - The uint8 that should be added
    Returns:
      The same instance of type `EmbeddingMultiFormat`

  - ### getUint8

    @Nonnull public List<Integer> getUint8()
    Uint8 encoding format - array of unsigned 8-bit integers
    Returns:
      uint8 The uint8 of this `EmbeddingMultiFormat` instance.

  - ### setUint8

    public void setUint8(@Nullable List<Integer> uint8)
    Set the uint8 of this `EmbeddingMultiFormat` instance.
    Parameters:
      `uint8` - Uint8 encoding format - array of unsigned 8-bit integers

  - ### base64

    @Nonnull public EmbeddingMultiFormat base64(@Nullable String base64)
    Set the base64 of this `EmbeddingMultiFormat` instance and return the same instance.
    Parameters:
      `base64` - Base64 encoding format - base64 encoded string
    Returns:
      The same instance of this `EmbeddingMultiFormat` class

  - ### getBase64

    @Nonnull public String getBase64()
    Base64 encoding format - base64 encoded string
    Returns:
      base64 The base64 of this `EmbeddingMultiFormat` instance.

  - ### setBase64

    public void setBase64(@Nullable String base64)
    Set the base64 of this `EmbeddingMultiFormat` instance.
    Parameters:
      `base64` - Base64 encoding format - base64 encoded string

  - ### binary

    @Nonnull public EmbeddingMultiFormat binary(@Nullable List<Integer> binary)
    Set the binary of this `EmbeddingMultiFormat` instance and return the same instance.
    Parameters:
      `binary` - Binary encoding format - array of integers
    Returns:
      The same instance of this `EmbeddingMultiFormat` class

  - ### addBinaryItem

    @Nonnull public EmbeddingMultiFormat addBinaryItem(@Nonnull Integer binaryItem)
    Add one binary instance to this `EmbeddingMultiFormat`.
    Parameters:
      `binaryItem` - The binary that should be added
    Returns:
      The same instance of type `EmbeddingMultiFormat`

  - ### getBinary

    @Nonnull public List<Integer> getBinary()
    Binary encoding format - array of integers
    Returns:
      binary The binary of this `EmbeddingMultiFormat` instance.

  - ### setBinary

    public void setBinary(@Nullable List<Integer> binary)
    Set the binary of this `EmbeddingMultiFormat` instance.
    Parameters:
      `binary` - Binary encoding format - array of integers

  - ### ubinary

    @Nonnull public EmbeddingMultiFormat ubinary(@Nullable List<Integer> ubinary)
    Set the ubinary of this `EmbeddingMultiFormat` instance and return the same instance.
    Parameters:
      `ubinary` - Ubinary encoding format - array of unsigned integers
    Returns:
      The same instance of this `EmbeddingMultiFormat` class

  - ### addUbinaryItem

    @Nonnull public EmbeddingMultiFormat addUbinaryItem(@Nonnull Integer ubinaryItem)
    Add one ubinary instance to this `EmbeddingMultiFormat`.
    Parameters:
      `ubinaryItem` - The ubinary that should be added
    Returns:
      The same instance of type `EmbeddingMultiFormat`

  - ### getUbinary

    @Nonnull public List<Integer> getUbinary()
    Ubinary encoding format - array of unsigned integers
    Returns:
      ubinary The ubinary of this `EmbeddingMultiFormat` instance.

  - ### setUbinary

    public void setUbinary(@Nullable List<Integer> ubinary)
    Set the ubinary of this `EmbeddingMultiFormat` instance.
    Parameters:
      `ubinary` - Ubinary encoding format - array of unsigned integers

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `EmbeddingMultiFormat`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `EmbeddingMultiFormat` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `EmbeddingMultiFormat` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `EmbeddingMultiFormat` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static EmbeddingMultiFormat create()
    Create a new `EmbeddingMultiFormat` instance. No arguments are required.